
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_BINARY_DIR}kontact_plugin
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


###### basketdcopiface stub for kontact plugin

set( KIDL_OUTPUT    basketdcopiface.kidl )

add_custom_command(
    OUTPUT  ${KIDL_OUTPUT}
    COMMAND ${KDE3_DCOPIDL_EXECUTABLE} ${CMAKE_SOURCE_DIR}/src/basketdcopiface.h > ${KIDL_OUTPUT}
    DEPENDS ${CMAKE_SOURCE_DIR}/src/basketdcopiface.h
)
add_custom_target(
    kontact-basketdcopiface-kidl
    DEPENDS ${KIDL_OUTPUT}
)

add_custom_command(
    OUTPUT  basketdcopiface_stub.cpp basketdcopiface_stub.h
    COMMAND ${KDE3_DCOPIDL2CPP_EXECUTABLE} --c++-suffix cpp --no-signals --no-skel ${KIDL_OUTPUT}
    DEPENDS kontact-basketdcopiface-kidl
)
add_custom_target(
    kontact-basketdcopiface-stub
    DEPENDS basketdcopiface_stub.cpp basketdcopiface_stub.h
)


##### libkontact_basket (kpart)

tde_add_kpart( libkontact_basket AUTOMOC

  SOURCES
        basket_plugin.cpp
        uniqueapphandler.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/basketdcopiface_stub.cpp
  LINK
     tdecore-shared
     tdeui-shared
     kpinterfaces

  DESTINATION ${PLUGIN_INSTALL_DIR}

  DEPENDENCIES kontact-basketdcopiface-stub
)


##### other data

install(
    FILES kontact_basketplugin.setdlg
    DESTINATION ${DATA_INSTALL_DIR}/kontact/ksettingsdialog
)

tde_create_translated_desktop(
    SOURCE basket.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kontact
)
 
